Subject: Re: [PATCH 0/4] Add more tests of cvsimport

From: Samuel Lucas Vaz de Mello <[email-masked]>
Date: Fri, 20 Feb 2009 18:26:54 -0300

Michael Haggerty wrote:
> BTW, I don't want to trash "git cvsimport".  I'm not brave enough even
> to try to implement incremental conversions in cvs2git.  So the fact

Michael,

If I run cvs2git several times against a live cvs repo (using the same configuration), wouldn't it perform an incremental import?
Is there anything that would make it produce different commits for the history?

I've just made a simple test here performing 2 imports (the 2nd with a dozen of new commits not in the 1st) and it seemed to work fine.

I know that it will take the same time/memory as the first import, but is there something that can break the repository or produce wrong data?

Thanks,

 - Samuel